package com.mosty.base.manager.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.jcgl.TbJcglXlfaDto;
import com.mosty.base.model.query.jcgl.TbJcglXlfaQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author dw
 * @since 2022/8/11
 **/
public interface TbJcglXlfaService {

    @ApiOperation("新增巡逻方案")
    int addEntity(TbJcglXlfaDto dto);

    @ApiOperation("修改巡逻方案")
    int updateEntity(TbJcglXlfaDto dto);

    @ApiOperation("删除巡逻方案")
    int delEntity(List<String> ids);

    @ApiOperation("查询列表分页")
    IPage<TbJcglXlfaDto> getPageList(TbJcglXlfaQuery dto);

    @ApiOperation("查询巡逻方案详情信息")
    TbJcglXlfaDto getInfo(String id);
}
